# IJCAI 2019
This folder contains the source code used to run the experiments of the paper.

Scripts and data to reproduce these experiments are in the [ijcai2019](ijcai2019) folder.
Scripts include the full parameter list that were used to run the experiments.

# vprocessor
The main file is vprocessor.py that depends on [TensorFlow](https://www.tensorflow.org) 
and [OpenCV](https://opencv.org).

Launching

	python vprocessor.py
	
one gets the full list of options.

### Examples of command line
	python vprocessor.py --run data/skater.avi --out exp/skater --m 3 --f 3 --gray 1 --res 100x80 -–save_scores_only 0

	python vprocessor.py --run data/skater.avi --out exp/skater --m 10 --f 3 --gray 1 --res 100x80 --theta 0.00001 --k 100 --beta 3000 --gamma=20000000000 --alpha 10000000 --rep 100000 –-save_scores_only 0

## Visualize output
In order to visualize the feature developed one can access the web service at http://127.0.0.1:port 
where the port number is showed when running the experiment.

When the experiment is terminated the web service can be opened using

	python visuserver.py exp/skater

Also a tensor-board visualization can be launched with

	tensorboard --logdir=exp/skater/tensor_board

and can be seen at http://127.0.0.1:6006

